package com.sun.jmx.snmp.agent;

import com.sun.jmx.snmp.SnmpStatusException;
import com.sun.jmx.snmp.SnmpValue;

public interface SnmpGenericMetaServer
{
    public abstract Object buildAttributeValue(long p0, SnmpValue p1) throws SnmpStatusException;
    
    public abstract SnmpValue buildSnmpValue(long p0, Object p1) throws SnmpStatusException;
    
    public abstract String getAttributeName(long p0) throws SnmpStatusException;
    
    public abstract void checkSetAccess(SnmpValue p0, long p1, Object p2) throws SnmpStatusException;
    
    public abstract void checkGetAccess(long p0, Object p1) throws SnmpStatusException;
}
